System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.CommunicationObject System.ServiceModel.IExtensibleObject<System.ServiceModel.InstanceContext> To be added.

Represents the context information for a service instance.

- Constructor
  4.0.0.0

  This sets the service host associated with the instance context to null.

  Initializes a new instance of the class for a specified object that implements the service instance.

  The object that implements the service instance.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class for a service hosted by a specified host.

  The that hosts the service.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class for a specified object that implements the service instance and is hosted by a specified host.

  The that hosts the service.
  The object that implements the service instance.
- Property
  4.0.0.0
  System.TimeSpan To be added. To be added. To be added.
- Property
  4.0.0.0
  System.TimeSpan To be added. To be added. To be added.
- Property
  4.0.0.0
  System.ServiceModel.IExtensionCollection<System.ServiceModel.InstanceContext> To be added. To be added.

  Gets the extension collection, if any, associated with the service instance.

- Method
  4.0.0.0
  System.Object To be added.

  Returns the instance of the service for the instance context.

  The object that represents the service instance.

- Method
  4.0.0.0
  System.Object ``

  The general idea is that you only create an instance of the service when a message directed at it arrives, by calling ; then if no message arrives, no is created and no service object is created, and so resources are not deployed until actually required.

  Returns the instance of the service for the instance context in response to an incoming message.

  The object that represents the service instance.

  The incoming message that triggered the creation of a service object.
- Property
  4.0.0.0
  System.ServiceModel.ServiceHostBase To be added. To be added.

  Gets the host for the service instance.

- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.ServiceModel.Channels.IChannel> To be added. To be added.

  Gets the sessionful channels that are incoming to the service instance.

- Method
  4.0.0.0
  System.Int32 `` To be added.

  Increases the number of messages that can be processed by the service instance.

  The new limit on the number of messages, after is added, that can be processed by the service instance.

  The additional number of messages that can be processed by the service instance.
- Property
  4.0.0.0
  System.Int32 To be added.

  When the value reaches zero no more messages can be processed.

  Gets or sets a limit on the number of messages that can be processed by the instance context.

- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.ServiceModel.Channels.IChannel> To be added. To be added.

  Gets the sessionful channels that are outgoing from the service instance.

- Method
  4.0.0.0
  System.Void To be added.

  Releases the service instance.

- Property
  4.0.0.0
  System.Threading.SynchronizationContext To be added. To be added.

  Gets or sets the context used for thread synchronization with the current instance context.